# schema_salad.tests.test_ref_resolver

Test the ref_resolver module.

## Functions

`is_fs_case_sensitive`() |
`tmp_dir_fixture`(request) |
`test_Loader_initialisation_for_HOME_env_var`(...) |
`test_Loader_initialisation_for_TMP_env_var`(tmp_dir_fixture) |
`test_Loader_initialisation_with_neither_TMP_HOME_set`(...) |
`test_Loader_initialisation_disable_doc_cache`(...) |
`test_DefaultFetcher_urljoin_win32`(tmp_dir_fixture) |
`test_DefaultFetcher_urljoin_linux`(tmp_dir_fixture) |
`test_import_list`() |
`test_fetch_inject_id`() |
`test_attachments`() |
`test_check_exists_follows_redirects`() |
`test_resolve_missing_step_id`(caplog) | From issue #cwltool/issues/1635. A Workflow with a Step without

## Module Contents

schema_salad.tests.test_ref_resolver.is_fs_case_sensitive()
  Return type:

    bool

schema_salad.tests.test_ref_resolver.tmp_dir_fixture(request)
  Parameters:

    request (_pytest.fixtures.FixtureRequest)

  Return type:

    str

schema_salad.tests.test_ref_resolver.test_Loader_initialisation_for_HOME_env_var(tmp_dir_fixture)
  Parameters:

    tmp_dir_fixture (str)

  Return type:

    None

schema_salad.tests.test_ref_resolver.test_Loader_initialisation_for_TMP_env_var(tmp_dir_fixture)
  Parameters:

    tmp_dir_fixture (str)

  Return type:

    None

schema_salad.tests.test_ref_resolver.test_Loader_initialisation_with_neither_TMP_HOME_set(tmp_dir_fixture)
  Parameters:

    tmp_dir_fixture (str)

  Return type:

    None

schema_salad.tests.test_ref_resolver.test_Loader_initialisation_disable_doc_cache(tmp_dir_fixture)
  Parameters:

    tmp_dir_fixture (str)

  Return type:

    None

schema_salad.tests.test_ref_resolver.test_DefaultFetcher_urljoin_win32(tmp_dir_fixture)
  Parameters:

    tmp_dir_fixture (str)

  Return type:

    None

schema_salad.tests.test_ref_resolver.test_DefaultFetcher_urljoin_linux(tmp_dir_fixture)
  Parameters:

    tmp_dir_fixture (str)

  Return type:

    None

schema_salad.tests.test_ref_resolver.test_import_list()
  Return type:

    None

schema_salad.tests.test_ref_resolver.test_fetch_inject_id()
  Return type:

    None

schema_salad.tests.test_ref_resolver.test_attachments()
  Return type:

    None

schema_salad.tests.test_ref_resolver.test_check_exists_follows_redirects()
  Return type:

    None

schema_salad.tests.test_ref_resolver.test_resolve_missing_step_id(caplog)

  From issue #cwltool/issues/1635. A Workflow with a Step without the name attribute must raise a ValidationException that contains the SourceLine data.

  Parameters:

    caplog (Any)

  Return type:

    None